# Rivet

Rivet is a tool for installing and testing Apache source modules.  It
is intended to help you develop software that uses ActiveMQ and Qpid
modules.

[User documentation](http://www.ssorj.net/projects/rivet.html)

## Installation

    $ cd rivet/
    $ make install

The default install location is `~/.local`.  Use the `PREFIX`
argument to change it.

    $ sudo make install PREFIX=/usr/local

## Development

The `devel` make target performs a top-to-bottom clean, build,
install, and test inside the checkout.

    $ cd rivet/
    $ make devel

## Project layout

    devel.sh            # Sets up your project environment for development
    Makefile            # Defines the build and test targets
    bin/                # Command-line tools
    python/             # Python library code
    scripts/            # Scripts called by Makefile rules
    build/              # The default build location
    install/            # The development-mode install location

## Make targets

    $ make build        # Builds the code
    $ make install      # Installs the code
    $ make devel        # Builds, installs in the checkout, tests sanity
    $ make clean        # Removes build/ and install/
